IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network203.0.113.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
- Network address
203.0.113.0- Broadcast address
203.0.113.255- First usable
203.0.113.1- Last usable
203.0.113.254- Usable hosts
- 254 (256 less the network and broadcast addresses)
- Subnet mask
255.255.255.0- Wildcard mask
0.0.0.255(Cisco ACLs, OSPF)- Prefix length
- /24
- Type
- Documentation (TEST-NET-3) 203.0.113.0/24
For examples; never used on a network - Old class
- C (default /24)
- As numbers
- Hex
CB007100· Integer3405803776to3405804031 - Reverse DNS zone
113.0.203.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11001011.00000000.01110001..00000000 | 203.0.113.0 |
| Subnet mask | 11111111.11111111.11111111..00000000 | 255.255.255.0 |
| Network | 11001011.00000000.01110001..00000000 | 203.0.113.0 |
| Broadcast | 11001011.00000000.01110001..11111111 | 203.0.113.255 |
Split into smaller subnets
203.0.113.0/24 makes 256 subnets of /32.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 203.0.113.0/32 | 203.0.113.0 to 203.0.113.0 | — | 1 |
| 2 | 203.0.113.1/32 | 203.0.113.1 to 203.0.113.1 | — | 1 |
| 3 | 203.0.113.2/32 | 203.0.113.2 to 203.0.113.2 | — | 1 |
| 4 | 203.0.113.3/32 | 203.0.113.3 to 203.0.113.3 | — | 1 |
| 5 | 203.0.113.4/32 | 203.0.113.4 to 203.0.113.4 | — | 1 |
| 6 | 203.0.113.5/32 | 203.0.113.5 to 203.0.113.5 | — | 1 |
| 7 | 203.0.113.6/32 | 203.0.113.6 to 203.0.113.6 | — | 1 |
| 8 | 203.0.113.7/32 | 203.0.113.7 to 203.0.113.7 | — | 1 |
| 9 | 203.0.113.8/32 | 203.0.113.8 to 203.0.113.8 | — | 1 |
| 10 | 203.0.113.9/32 | 203.0.113.9 to 203.0.113.9 | — | 1 |
| 11 | 203.0.113.10/32 | 203.0.113.10 to 203.0.113.10 | — | 1 |
| 12 | 203.0.113.11/32 | 203.0.113.11 to 203.0.113.11 | — | 1 |
| 13 | 203.0.113.12/32 | 203.0.113.12 to 203.0.113.12 | — | 1 |
| 14 | 203.0.113.13/32 | 203.0.113.13 to 203.0.113.13 | — | 1 |
| 15 | 203.0.113.14/32 | 203.0.113.14 to 203.0.113.14 | — | 1 |
| 16 | 203.0.113.15/32 | 203.0.113.15 to 203.0.113.15 | — | 1 |
| 17 | 203.0.113.16/32 | 203.0.113.16 to 203.0.113.16 | — | 1 |
| 18 | 203.0.113.17/32 | 203.0.113.17 to 203.0.113.17 | — | 1 |
| 19 | 203.0.113.18/32 | 203.0.113.18 to 203.0.113.18 | — | 1 |
| 20 | 203.0.113.19/32 | 203.0.113.19 to 203.0.113.19 | — | 1 |
| 21 | 203.0.113.20/32 | 203.0.113.20 to 203.0.113.20 | — | 1 |
| 22 | 203.0.113.21/32 | 203.0.113.21 to 203.0.113.21 | — | 1 |
| 23 | 203.0.113.22/32 | 203.0.113.22 to 203.0.113.22 | — | 1 |
| 24 | 203.0.113.23/32 | 203.0.113.23 to 203.0.113.23 | — | 1 |
| 25 | 203.0.113.24/32 | 203.0.113.24 to 203.0.113.24 | — | 1 |
| 26 | 203.0.113.25/32 | 203.0.113.25 to 203.0.113.25 | — | 1 |
| 27 | 203.0.113.26/32 | 203.0.113.26 to 203.0.113.26 | — | 1 |
| 28 | 203.0.113.27/32 | 203.0.113.27 to 203.0.113.27 | — | 1 |
| 29 | 203.0.113.28/32 | 203.0.113.28 to 203.0.113.28 | — | 1 |
| 30 | 203.0.113.29/32 | 203.0.113.29 to 203.0.113.29 | — | 1 |
| 31 | 203.0.113.30/32 | 203.0.113.30 to 203.0.113.30 | — | 1 |
| 32 | 203.0.113.31/32 | 203.0.113.31 to 203.0.113.31 | — | 1 |
| 33 | 203.0.113.32/32 | 203.0.113.32 to 203.0.113.32 | — | 1 |
| 34 | 203.0.113.33/32 | 203.0.113.33 to 203.0.113.33 | — | 1 |
| 35 | 203.0.113.34/32 | 203.0.113.34 to 203.0.113.34 | — | 1 |
| 36 | 203.0.113.35/32 | 203.0.113.35 to 203.0.113.35 | — | 1 |
| 37 | 203.0.113.36/32 | 203.0.113.36 to 203.0.113.36 | — | 1 |
| 38 | 203.0.113.37/32 | 203.0.113.37 to 203.0.113.37 | — | 1 |
| 39 | 203.0.113.38/32 | 203.0.113.38 to 203.0.113.38 | — | 1 |
| 40 | 203.0.113.39/32 | 203.0.113.39 to 203.0.113.39 | — | 1 |
| 41 | 203.0.113.40/32 | 203.0.113.40 to 203.0.113.40 | — | 1 |
| 42 | 203.0.113.41/32 | 203.0.113.41 to 203.0.113.41 | — | 1 |
| 43 | 203.0.113.42/32 | 203.0.113.42 to 203.0.113.42 | — | 1 |
| 44 | 203.0.113.43/32 | 203.0.113.43 to 203.0.113.43 | — | 1 |
| 45 | 203.0.113.44/32 | 203.0.113.44 to 203.0.113.44 | — | 1 |
| 46 | 203.0.113.45/32 | 203.0.113.45 to 203.0.113.45 | — | 1 |
| 47 | 203.0.113.46/32 | 203.0.113.46 to 203.0.113.46 | — | 1 |
| 48 | 203.0.113.47/32 | 203.0.113.47 to 203.0.113.47 | — | 1 |
| 49 | 203.0.113.48/32 | 203.0.113.48 to 203.0.113.48 | — | 1 |
| 50 | 203.0.113.49/32 | 203.0.113.49 to 203.0.113.49 | — | 1 |
| 51 | 203.0.113.50/32 | 203.0.113.50 to 203.0.113.50 | — | 1 |
| 52 | 203.0.113.51/32 | 203.0.113.51 to 203.0.113.51 | — | 1 |
| 53 | 203.0.113.52/32 | 203.0.113.52 to 203.0.113.52 | — | 1 |
| 54 | 203.0.113.53/32 | 203.0.113.53 to 203.0.113.53 | — | 1 |
| 55 | 203.0.113.54/32 | 203.0.113.54 to 203.0.113.54 | — | 1 |
| 56 | 203.0.113.55/32 | 203.0.113.55 to 203.0.113.55 | — | 1 |
| 57 | 203.0.113.56/32 | 203.0.113.56 to 203.0.113.56 | — | 1 |
| 58 | 203.0.113.57/32 | 203.0.113.57 to 203.0.113.57 | — | 1 |
| 59 | 203.0.113.58/32 | 203.0.113.58 to 203.0.113.58 | — | 1 |
| 60 | 203.0.113.59/32 | 203.0.113.59 to 203.0.113.59 | — | 1 |
| 61 | 203.0.113.60/32 | 203.0.113.60 to 203.0.113.60 | — | 1 |
| 62 | 203.0.113.61/32 | 203.0.113.61 to 203.0.113.61 | — | 1 |
| 63 | 203.0.113.62/32 | 203.0.113.62 to 203.0.113.62 | — | 1 |
| 64 | 203.0.113.63/32 | 203.0.113.63 to 203.0.113.63 | — | 1 |
| 65 | 203.0.113.64/32 | 203.0.113.64 to 203.0.113.64 | — | 1 |
| 66 | 203.0.113.65/32 | 203.0.113.65 to 203.0.113.65 | — | 1 |
| 67 | 203.0.113.66/32 | 203.0.113.66 to 203.0.113.66 | — | 1 |
| 68 | 203.0.113.67/32 | 203.0.113.67 to 203.0.113.67 | — | 1 |
| 69 | 203.0.113.68/32 | 203.0.113.68 to 203.0.113.68 | — | 1 |
| 70 | 203.0.113.69/32 | 203.0.113.69 to 203.0.113.69 | — | 1 |
| 71 | 203.0.113.70/32 | 203.0.113.70 to 203.0.113.70 | — | 1 |
| 72 | 203.0.113.71/32 | 203.0.113.71 to 203.0.113.71 | — | 1 |
| 73 | 203.0.113.72/32 | 203.0.113.72 to 203.0.113.72 | — | 1 |
| 74 | 203.0.113.73/32 | 203.0.113.73 to 203.0.113.73 | — | 1 |
| 75 | 203.0.113.74/32 | 203.0.113.74 to 203.0.113.74 | — | 1 |
| 76 | 203.0.113.75/32 | 203.0.113.75 to 203.0.113.75 | — | 1 |
| 77 | 203.0.113.76/32 | 203.0.113.76 to 203.0.113.76 | — | 1 |
| 78 | 203.0.113.77/32 | 203.0.113.77 to 203.0.113.77 | — | 1 |
| 79 | 203.0.113.78/32 | 203.0.113.78 to 203.0.113.78 | — | 1 |
| 80 | 203.0.113.79/32 | 203.0.113.79 to 203.0.113.79 | — | 1 |
| 81 | 203.0.113.80/32 | 203.0.113.80 to 203.0.113.80 | — | 1 |
| 82 | 203.0.113.81/32 | 203.0.113.81 to 203.0.113.81 | — | 1 |
| 83 | 203.0.113.82/32 | 203.0.113.82 to 203.0.113.82 | — | 1 |
| 84 | 203.0.113.83/32 | 203.0.113.83 to 203.0.113.83 | — | 1 |
| 85 | 203.0.113.84/32 | 203.0.113.84 to 203.0.113.84 | — | 1 |
| 86 | 203.0.113.85/32 | 203.0.113.85 to 203.0.113.85 | — | 1 |
| 87 | 203.0.113.86/32 | 203.0.113.86 to 203.0.113.86 | — | 1 |
| 88 | 203.0.113.87/32 | 203.0.113.87 to 203.0.113.87 | — | 1 |
| 89 | 203.0.113.88/32 | 203.0.113.88 to 203.0.113.88 | — | 1 |
| 90 | 203.0.113.89/32 | 203.0.113.89 to 203.0.113.89 | — | 1 |
| 91 | 203.0.113.90/32 | 203.0.113.90 to 203.0.113.90 | — | 1 |
| 92 | 203.0.113.91/32 | 203.0.113.91 to 203.0.113.91 | — | 1 |
| 93 | 203.0.113.92/32 | 203.0.113.92 to 203.0.113.92 | — | 1 |
| 94 | 203.0.113.93/32 | 203.0.113.93 to 203.0.113.93 | — | 1 |
| 95 | 203.0.113.94/32 | 203.0.113.94 to 203.0.113.94 | — | 1 |
| 96 | 203.0.113.95/32 | 203.0.113.95 to 203.0.113.95 | — | 1 |
| 97 | 203.0.113.96/32 | 203.0.113.96 to 203.0.113.96 | — | 1 |
| 98 | 203.0.113.97/32 | 203.0.113.97 to 203.0.113.97 | — | 1 |
| 99 | 203.0.113.98/32 | 203.0.113.98 to 203.0.113.98 | — | 1 |
| 100 | 203.0.113.99/32 | 203.0.113.99 to 203.0.113.99 | — | 1 |
| 101 | 203.0.113.100/32 | 203.0.113.100 to 203.0.113.100 | — | 1 |
| 102 | 203.0.113.101/32 | 203.0.113.101 to 203.0.113.101 | — | 1 |
| 103 | 203.0.113.102/32 | 203.0.113.102 to 203.0.113.102 | — | 1 |
| 104 | 203.0.113.103/32 | 203.0.113.103 to 203.0.113.103 | — | 1 |
| 105 | 203.0.113.104/32 | 203.0.113.104 to 203.0.113.104 | — | 1 |
| 106 | 203.0.113.105/32 | 203.0.113.105 to 203.0.113.105 | — | 1 |
| 107 | 203.0.113.106/32 | 203.0.113.106 to 203.0.113.106 | — | 1 |
| 108 | 203.0.113.107/32 | 203.0.113.107 to 203.0.113.107 | — | 1 |
| 109 | 203.0.113.108/32 | 203.0.113.108 to 203.0.113.108 | — | 1 |
| 110 | 203.0.113.109/32 | 203.0.113.109 to 203.0.113.109 | — | 1 |
| 111 | 203.0.113.110/32 | 203.0.113.110 to 203.0.113.110 | — | 1 |
| 112 | 203.0.113.111/32 | 203.0.113.111 to 203.0.113.111 | — | 1 |
| 113 | 203.0.113.112/32 | 203.0.113.112 to 203.0.113.112 | — | 1 |
| 114 | 203.0.113.113/32 | 203.0.113.113 to 203.0.113.113 | — | 1 |
| 115 | 203.0.113.114/32 | 203.0.113.114 to 203.0.113.114 | — | 1 |
| 116 | 203.0.113.115/32 | 203.0.113.115 to 203.0.113.115 | — | 1 |
| 117 | 203.0.113.116/32 | 203.0.113.116 to 203.0.113.116 | — | 1 |
| 118 | 203.0.113.117/32 | 203.0.113.117 to 203.0.113.117 | — | 1 |
| 119 | 203.0.113.118/32 | 203.0.113.118 to 203.0.113.118 | — | 1 |
| 120 | 203.0.113.119/32 | 203.0.113.119 to 203.0.113.119 | — | 1 |
| 121 | 203.0.113.120/32 | 203.0.113.120 to 203.0.113.120 | — | 1 |
| 122 | 203.0.113.121/32 | 203.0.113.121 to 203.0.113.121 | — | 1 |
| 123 | 203.0.113.122/32 | 203.0.113.122 to 203.0.113.122 | — | 1 |
| 124 | 203.0.113.123/32 | 203.0.113.123 to 203.0.113.123 | — | 1 |
| 125 | 203.0.113.124/32 | 203.0.113.124 to 203.0.113.124 | — | 1 |
| 126 | 203.0.113.125/32 | 203.0.113.125 to 203.0.113.125 | — | 1 |
| 127 | 203.0.113.126/32 | 203.0.113.126 to 203.0.113.126 | — | 1 |
| 128 | 203.0.113.127/32 | 203.0.113.127 to 203.0.113.127 | — | 1 |
| 129 | 203.0.113.128/32 | 203.0.113.128 to 203.0.113.128 | — | 1 |
| 130 | 203.0.113.129/32 | 203.0.113.129 to 203.0.113.129 | — | 1 |
| 131 | 203.0.113.130/32 | 203.0.113.130 to 203.0.113.130 | — | 1 |
| 132 | 203.0.113.131/32 | 203.0.113.131 to 203.0.113.131 | — | 1 |
| 133 | 203.0.113.132/32 | 203.0.113.132 to 203.0.113.132 | — | 1 |
| 134 | 203.0.113.133/32 | 203.0.113.133 to 203.0.113.133 | — | 1 |
| 135 | 203.0.113.134/32 | 203.0.113.134 to 203.0.113.134 | — | 1 |
| 136 | 203.0.113.135/32 | 203.0.113.135 to 203.0.113.135 | — | 1 |
| 137 | 203.0.113.136/32 | 203.0.113.136 to 203.0.113.136 | — | 1 |
| 138 | 203.0.113.137/32 | 203.0.113.137 to 203.0.113.137 | — | 1 |
| 139 | 203.0.113.138/32 | 203.0.113.138 to 203.0.113.138 | — | 1 |
| 140 | 203.0.113.139/32 | 203.0.113.139 to 203.0.113.139 | — | 1 |
| 141 | 203.0.113.140/32 | 203.0.113.140 to 203.0.113.140 | — | 1 |
| 142 | 203.0.113.141/32 | 203.0.113.141 to 203.0.113.141 | — | 1 |
| 143 | 203.0.113.142/32 | 203.0.113.142 to 203.0.113.142 | — | 1 |
| 144 | 203.0.113.143/32 | 203.0.113.143 to 203.0.113.143 | — | 1 |
| 145 | 203.0.113.144/32 | 203.0.113.144 to 203.0.113.144 | — | 1 |
| 146 | 203.0.113.145/32 | 203.0.113.145 to 203.0.113.145 | — | 1 |
| 147 | 203.0.113.146/32 | 203.0.113.146 to 203.0.113.146 | — | 1 |
| 148 | 203.0.113.147/32 | 203.0.113.147 to 203.0.113.147 | — | 1 |
| 149 | 203.0.113.148/32 | 203.0.113.148 to 203.0.113.148 | — | 1 |
| 150 | 203.0.113.149/32 | 203.0.113.149 to 203.0.113.149 | — | 1 |
| 151 | 203.0.113.150/32 | 203.0.113.150 to 203.0.113.150 | — | 1 |
| 152 | 203.0.113.151/32 | 203.0.113.151 to 203.0.113.151 | — | 1 |
| 153 | 203.0.113.152/32 | 203.0.113.152 to 203.0.113.152 | — | 1 |
| 154 | 203.0.113.153/32 | 203.0.113.153 to 203.0.113.153 | — | 1 |
| 155 | 203.0.113.154/32 | 203.0.113.154 to 203.0.113.154 | — | 1 |
| 156 | 203.0.113.155/32 | 203.0.113.155 to 203.0.113.155 | — | 1 |
| 157 | 203.0.113.156/32 | 203.0.113.156 to 203.0.113.156 | — | 1 |
| 158 | 203.0.113.157/32 | 203.0.113.157 to 203.0.113.157 | — | 1 |
| 159 | 203.0.113.158/32 | 203.0.113.158 to 203.0.113.158 | — | 1 |
| 160 | 203.0.113.159/32 | 203.0.113.159 to 203.0.113.159 | — | 1 |
| 161 | 203.0.113.160/32 | 203.0.113.160 to 203.0.113.160 | — | 1 |
| 162 | 203.0.113.161/32 | 203.0.113.161 to 203.0.113.161 | — | 1 |
| 163 | 203.0.113.162/32 | 203.0.113.162 to 203.0.113.162 | — | 1 |
| 164 | 203.0.113.163/32 | 203.0.113.163 to 203.0.113.163 | — | 1 |
| 165 | 203.0.113.164/32 | 203.0.113.164 to 203.0.113.164 | — | 1 |
| 166 | 203.0.113.165/32 | 203.0.113.165 to 203.0.113.165 | — | 1 |
| 167 | 203.0.113.166/32 | 203.0.113.166 to 203.0.113.166 | — | 1 |
| 168 | 203.0.113.167/32 | 203.0.113.167 to 203.0.113.167 | — | 1 |
| 169 | 203.0.113.168/32 | 203.0.113.168 to 203.0.113.168 | — | 1 |
| 170 | 203.0.113.169/32 | 203.0.113.169 to 203.0.113.169 | — | 1 |
| 171 | 203.0.113.170/32 | 203.0.113.170 to 203.0.113.170 | — | 1 |
| 172 | 203.0.113.171/32 | 203.0.113.171 to 203.0.113.171 | — | 1 |
| 173 | 203.0.113.172/32 | 203.0.113.172 to 203.0.113.172 | — | 1 |
| 174 | 203.0.113.173/32 | 203.0.113.173 to 203.0.113.173 | — | 1 |
| 175 | 203.0.113.174/32 | 203.0.113.174 to 203.0.113.174 | — | 1 |
| 176 | 203.0.113.175/32 | 203.0.113.175 to 203.0.113.175 | — | 1 |
| 177 | 203.0.113.176/32 | 203.0.113.176 to 203.0.113.176 | — | 1 |
| 178 | 203.0.113.177/32 | 203.0.113.177 to 203.0.113.177 | — | 1 |
| 179 | 203.0.113.178/32 | 203.0.113.178 to 203.0.113.178 | — | 1 |
| 180 | 203.0.113.179/32 | 203.0.113.179 to 203.0.113.179 | — | 1 |
| 181 | 203.0.113.180/32 | 203.0.113.180 to 203.0.113.180 | — | 1 |
| 182 | 203.0.113.181/32 | 203.0.113.181 to 203.0.113.181 | — | 1 |
| 183 | 203.0.113.182/32 | 203.0.113.182 to 203.0.113.182 | — | 1 |
| 184 | 203.0.113.183/32 | 203.0.113.183 to 203.0.113.183 | — | 1 |
| 185 | 203.0.113.184/32 | 203.0.113.184 to 203.0.113.184 | — | 1 |
| 186 | 203.0.113.185/32 | 203.0.113.185 to 203.0.113.185 | — | 1 |
| 187 | 203.0.113.186/32 | 203.0.113.186 to 203.0.113.186 | — | 1 |
| 188 | 203.0.113.187/32 | 203.0.113.187 to 203.0.113.187 | — | 1 |
| 189 | 203.0.113.188/32 | 203.0.113.188 to 203.0.113.188 | — | 1 |
| 190 | 203.0.113.189/32 | 203.0.113.189 to 203.0.113.189 | — | 1 |
| 191 | 203.0.113.190/32 | 203.0.113.190 to 203.0.113.190 | — | 1 |
| 192 | 203.0.113.191/32 | 203.0.113.191 to 203.0.113.191 | — | 1 |
| 193 | 203.0.113.192/32 | 203.0.113.192 to 203.0.113.192 | — | 1 |
| 194 | 203.0.113.193/32 | 203.0.113.193 to 203.0.113.193 | — | 1 |
| 195 | 203.0.113.194/32 | 203.0.113.194 to 203.0.113.194 | — | 1 |
| 196 | 203.0.113.195/32 | 203.0.113.195 to 203.0.113.195 | — | 1 |
| 197 | 203.0.113.196/32 | 203.0.113.196 to 203.0.113.196 | — | 1 |
| 198 | 203.0.113.197/32 | 203.0.113.197 to 203.0.113.197 | — | 1 |
| 199 | 203.0.113.198/32 | 203.0.113.198 to 203.0.113.198 | — | 1 |
| 200 | 203.0.113.199/32 | 203.0.113.199 to 203.0.113.199 | — | 1 |
| 201 | 203.0.113.200/32 | 203.0.113.200 to 203.0.113.200 | — | 1 |
| 202 | 203.0.113.201/32 | 203.0.113.201 to 203.0.113.201 | — | 1 |
| 203 | 203.0.113.202/32 | 203.0.113.202 to 203.0.113.202 | — | 1 |
| 204 | 203.0.113.203/32 | 203.0.113.203 to 203.0.113.203 | — | 1 |
| 205 | 203.0.113.204/32 | 203.0.113.204 to 203.0.113.204 | — | 1 |
| 206 | 203.0.113.205/32 | 203.0.113.205 to 203.0.113.205 | — | 1 |
| 207 | 203.0.113.206/32 | 203.0.113.206 to 203.0.113.206 | — | 1 |
| 208 | 203.0.113.207/32 | 203.0.113.207 to 203.0.113.207 | — | 1 |
| 209 | 203.0.113.208/32 | 203.0.113.208 to 203.0.113.208 | — | 1 |
| 210 | 203.0.113.209/32 | 203.0.113.209 to 203.0.113.209 | — | 1 |
| 211 | 203.0.113.210/32 | 203.0.113.210 to 203.0.113.210 | — | 1 |
| 212 | 203.0.113.211/32 | 203.0.113.211 to 203.0.113.211 | — | 1 |
| 213 | 203.0.113.212/32 | 203.0.113.212 to 203.0.113.212 | — | 1 |
| 214 | 203.0.113.213/32 | 203.0.113.213 to 203.0.113.213 | — | 1 |
| 215 | 203.0.113.214/32 | 203.0.113.214 to 203.0.113.214 | — | 1 |
| 216 | 203.0.113.215/32 | 203.0.113.215 to 203.0.113.215 | — | 1 |
| 217 | 203.0.113.216/32 | 203.0.113.216 to 203.0.113.216 | — | 1 |
| 218 | 203.0.113.217/32 | 203.0.113.217 to 203.0.113.217 | — | 1 |
| 219 | 203.0.113.218/32 | 203.0.113.218 to 203.0.113.218 | — | 1 |
| 220 | 203.0.113.219/32 | 203.0.113.219 to 203.0.113.219 | — | 1 |
| 221 | 203.0.113.220/32 | 203.0.113.220 to 203.0.113.220 | — | 1 |
| 222 | 203.0.113.221/32 | 203.0.113.221 to 203.0.113.221 | — | 1 |
| 223 | 203.0.113.222/32 | 203.0.113.222 to 203.0.113.222 | — | 1 |
| 224 | 203.0.113.223/32 | 203.0.113.223 to 203.0.113.223 | — | 1 |
| 225 | 203.0.113.224/32 | 203.0.113.224 to 203.0.113.224 | — | 1 |
| 226 | 203.0.113.225/32 | 203.0.113.225 to 203.0.113.225 | — | 1 |
| 227 | 203.0.113.226/32 | 203.0.113.226 to 203.0.113.226 | — | 1 |
| 228 | 203.0.113.227/32 | 203.0.113.227 to 203.0.113.227 | — | 1 |
| 229 | 203.0.113.228/32 | 203.0.113.228 to 203.0.113.228 | — | 1 |
| 230 | 203.0.113.229/32 | 203.0.113.229 to 203.0.113.229 | — | 1 |
| 231 | 203.0.113.230/32 | 203.0.113.230 to 203.0.113.230 | — | 1 |
| 232 | 203.0.113.231/32 | 203.0.113.231 to 203.0.113.231 | — | 1 |
| 233 | 203.0.113.232/32 | 203.0.113.232 to 203.0.113.232 | — | 1 |
| 234 | 203.0.113.233/32 | 203.0.113.233 to 203.0.113.233 | — | 1 |
| 235 | 203.0.113.234/32 | 203.0.113.234 to 203.0.113.234 | — | 1 |
| 236 | 203.0.113.235/32 | 203.0.113.235 to 203.0.113.235 | — | 1 |
| 237 | 203.0.113.236/32 | 203.0.113.236 to 203.0.113.236 | — | 1 |
| 238 | 203.0.113.237/32 | 203.0.113.237 to 203.0.113.237 | — | 1 |
| 239 | 203.0.113.238/32 | 203.0.113.238 to 203.0.113.238 | — | 1 |
| 240 | 203.0.113.239/32 | 203.0.113.239 to 203.0.113.239 | — | 1 |
| 241 | 203.0.113.240/32 | 203.0.113.240 to 203.0.113.240 | — | 1 |
| 242 | 203.0.113.241/32 | 203.0.113.241 to 203.0.113.241 | — | 1 |
| 243 | 203.0.113.242/32 | 203.0.113.242 to 203.0.113.242 | — | 1 |
| 244 | 203.0.113.243/32 | 203.0.113.243 to 203.0.113.243 | — | 1 |
| 245 | 203.0.113.244/32 | 203.0.113.244 to 203.0.113.244 | — | 1 |
| 246 | 203.0.113.245/32 | 203.0.113.245 to 203.0.113.245 | — | 1 |
| 247 | 203.0.113.246/32 | 203.0.113.246 to 203.0.113.246 | — | 1 |
| 248 | 203.0.113.247/32 | 203.0.113.247 to 203.0.113.247 | — | 1 |
| 249 | 203.0.113.248/32 | 203.0.113.248 to 203.0.113.248 | — | 1 |
| 250 | 203.0.113.249/32 | 203.0.113.249 to 203.0.113.249 | — | 1 |
| 251 | 203.0.113.250/32 | 203.0.113.250 to 203.0.113.250 | — | 1 |
| 252 | 203.0.113.251/32 | 203.0.113.251 to 203.0.113.251 | — | 1 |
| 253 | 203.0.113.252/32 | 203.0.113.252 to 203.0.113.252 | — | 1 |
| 254 | 203.0.113.253/32 | 203.0.113.253 to 203.0.113.253 | — | 1 |
| 255 | 203.0.113.254/32 | 203.0.113.254 to 203.0.113.254 | — | 1 |
| 256 | 203.0.113.255/32 | 203.0.113.255 to 203.0.113.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |